﻿namespace GameUtils.Graphics
{
    public struct StrokeStyle
    {
        public CapStyle StartCap { get; set; }

        public CapStyle EndCap { get; set; }

        public CapStyle DashCap { get; set; }

        public float DashOffset { get; set; }
        
        public DashStyle DashStyle { get; set; }

        public float[] DashPattern { get; set; }

        public float MiterLimit { get; set; }

        public LineJoin LineJoin { get; set; }

        public StrokeStyle(DashStyle dashStyle)
            : this()
        {
            DashStyle = dashStyle;
        }

        public StrokeStyle(float[] dashPattern)
            : this()
        {
            DashStyle = DashStyle.Custom;
            DashPattern = dashPattern;
        }
    }
}
